Plugin da IfthenPay para WooCommerce já permite reembolsos MB WAY e Cartão de crédito

Foi hoje lançada a versão 7 do nosso plugin de integração dos métodos de pagamento da IfthenPay com o WooCommerce, com várias novidades.

Reembolsos MB WAY e Cartão de crédito ou débito

Já é possível utilizar a funcionalidade nativa de reembolsos do WooCommerce para devolver valores totais ou parciais de encomendas que tenham sido pagas com os métodos MB WAY ou Cartão de crédito ou débito.

Basta activar essa opção em cada um dos métodos de pagamento, inserir a chave de backoffice da IfthenPay (utilizada para autenticação) e seguir as instruções para emitir um reembolso disponíveis na documentação da IfthenPay.

Existem várias regras para que o reembolso seja efectuado com sucesso pela IfthenPay, como por exemplo a existência de valores pendentes de transferência, a seu favor. Para qualquer questão relacionada com reembolsos deve contactar a IfthenPay.

Compatibilidade (beta) com o novo armazenamento de encomendas de alto desempenho (HPOS) do WooCommerce

A versão 7.1 do WooCommerce traz, em modo experimental, uma das maiores novidades dos últimos anos: novas tabelas de encomendas, que deixam de ser posts do WooCommerce, prometendo um ganho muito considerável em performance. Esta funcionalidade não está activa por omissão, sendo necessária a sua activação por parte do gestor da loja.

Como se costuma dizer em Portugal, “isto é tudo muito bonito” mas vai demorar muito tempo até que efectivamente os donos de loja possam usar esta nova funcionalidade, pois é essencial que todos os plugins testem e declarem a compatibilidade com estas novas tabelas, sendo necessários vários ajustes no código fonte (e por vezes até na lógica) dos plugins.

Planeamos nos próximos poucos meses ter compatibilidade de todos os nossos plugins com o HPOS, sendo que no caso dos pagamentos IfthenPay, esta nova versão já é compatível.

NOTA: mesmo que todos os plugins que utiliza já anunciem compatibilidade, ainda não é sensato usar esta nova funcionalidade em lojas em produção.

Só para WooCommerce 5.0 ou superior

Desde a versão 4.1 do plugin que começámos a forçar a compatibilidade com versões mais actuais do PHP, WordPress e WooCommerce. Esta versão 7.0 só pode ser utilizada em lojas com WooCommerce 5 (lançado em Fevereiro de 2021) ou superior.

Se não se sente confortável em fazer as actualizações do seu website WordPress, nós podemos ajudar.

Ainda sem comentários.

Deixe uma resposta

*

_